"use strict";

exports.__esModule = true;
exports.default = loadConfig;

var _optionManager = require("./option-manager");

var _optionManager2 = _interopRequireDefault(_optionManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function loadConfig(opts) {
  var mergedOpts = new _optionManager2.default().init(opts);
  if (!mergedOpts) return null;

  var passes = [];
  if (mergedOpts.plugins) {
    passes.push(mergedOpts.plugins);
  }

  if (mergedOpts.presets) {
    passes = passes.concat(mergedOpts.presets.map(function (preset) {
      return preset.plugins;
    }).filter(Boolean));
  }

  return {
    options: mergedOpts,
    passes: passes
  };
}